eID middleware |

# eIDMW::PTEID_OcspResponse Class Reference

Class that represents one OCSP Response. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_OcspResponse:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_OcspResponse (const char *uri, PTEID_HashAlgo hashAlgorithm, const PTEID_ByteArray &issuerNameHash, const PTEID_ByteArray &issuerKeyHash, const PTEID_ByteArray &serialNumber)
| Create an OcspResponse object from the URI only and CertID.
virtual PTEIDSDK_API | ~PTEID_OcspResponse (void)
| Destructor.
PTEIDSDK_API const char * | getUri ()
| Return the uri of the responder.
PTEIDSDK_API PTEID_CertifStatus | getResponse (PTEID_ByteArray &response)
| Return the response.
NOEXPORT_PTEIDSDK | PTEID_OcspResponse (const SDK_Context *context, APL_OcspResponse *impl)
| For internal use : Constructor.

## Detailed Description

Class that represents one OCSP Response.

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_OcspResponse::PTEID_OcspResponse | ( | const char * | uri,
|  | PTEID_HashAlgo | hashAlgorithm,
|  | const PTEID_ByteArray & | issuerNameHash,
|  | const PTEID_ByteArray & | issuerKeyHash,
|  | const PTEID_ByteArray & | serialNumber |
| ) |  |  |

Create an OcspResponse object from the URI only and CertID.

This OCSP Response is not link to any certificate so some methods could not be used. These methods throw PTEID_ExBadUsage exception.

virtual PTEIDSDK_API eIDMW::PTEID_OcspResponse::~PTEID_OcspResponse | ( | void |  | ) | `[virtual]`

Destructor.

NOEXPORT_PTEIDSDK eIDMW::PTEID_OcspResponse::PTEID_OcspResponse | ( | const SDK_Context * | context,
|  | APL_OcspResponse * | impl |
| ) |  |  |

For internal use : Constructor.

## Member Function Documentation

PTEIDSDK_API PTEID_CertifStatus eIDMW::PTEID_OcspResponse::getResponse | ( | PTEID_ByteArray & | response | ) |

Return the response.

PTEIDSDK_API const char* eIDMW::PTEID_OcspResponse::getUri | ( |  | ) |

Return the uri of the responder.

The documentation for this class was generated from the following file:

- eidlib.h